Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network44.63.0.0/18
Usable hosts16,382
Subnet mask255.255.192.0
Addresses16,384
Network address
44.63.0.0
Broadcast address
44.63.63.255
First usable
44.63.0.1
Last usable
44.63.63.254
Usable hosts
16,382 (16,384 less the network and broadcast addresses)
Subnet mask
255.255.192.0
Wildcard mask
0.0.63.255 (Cisco ACLs, OSPF)
Prefix length
/18
Type
Public public
Old class
A (default /8)
As numbers
Hex 2C3F0000 · Integer 742326272 to 742342655
Reverse DNS zones
0.63.44.in-addr.arpa
1.63.44.in-addr.arpa
2.63.44.in-addr.arpa
3.63.44.in-addr.arpa
4.63.44.in-addr.arpa
5.63.44.in-addr.arpa
6.63.44.in-addr.arpa
7.63.44.in-addr.arpa
8.63.44.in-addr.arpa
9.63.44.in-addr.arpa
10.63.44.in-addr.arpa
11.63.44.in-addr.arpa
12.63.44.in-addr.arpa
13.63.44.in-addr.arpa
14.63.44.in-addr.arpa
15.63.44.in-addr.arpa
and 48 more
/18 is not on a 8-bit boundary, so it takes 64 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101100.00111111.00000000.0000000044.63.0.0
Subnet mask11111111.11111111.11000000.00000000255.255.192.0
Network00101100.00111111.00000000.0000000044.63.0.0
Broadcast00101100.00111111.00111111.1111111144.63.63.255
Split into smaller subnets/25

44.63.0.0/18 makes 128 subnets of /25.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
144.63.0.0/2544.63.0.1 to 44.63.0.12644.63.0.127126
244.63.0.128/2544.63.0.129 to 44.63.0.25444.63.0.255126
344.63.1.0/2544.63.1.1 to 44.63.1.12644.63.1.127126
444.63.1.128/2544.63.1.129 to 44.63.1.25444.63.1.255126
544.63.2.0/2544.63.2.1 to 44.63.2.12644.63.2.127126
644.63.2.128/2544.63.2.129 to 44.63.2.25444.63.2.255126
744.63.3.0/2544.63.3.1 to 44.63.3.12644.63.3.127126
844.63.3.128/2544.63.3.129 to 44.63.3.25444.63.3.255126
944.63.4.0/2544.63.4.1 to 44.63.4.12644.63.4.127126
1044.63.4.128/2544.63.4.129 to 44.63.4.25444.63.4.255126
1144.63.5.0/2544.63.5.1 to 44.63.5.12644.63.5.127126
1244.63.5.128/2544.63.5.129 to 44.63.5.25444.63.5.255126
1344.63.6.0/2544.63.6.1 to 44.63.6.12644.63.6.127126
1444.63.6.128/2544.63.6.129 to 44.63.6.25444.63.6.255126
1544.63.7.0/2544.63.7.1 to 44.63.7.12644.63.7.127126
1644.63.7.128/2544.63.7.129 to 44.63.7.25444.63.7.255126
1744.63.8.0/2544.63.8.1 to 44.63.8.12644.63.8.127126
1844.63.8.128/2544.63.8.129 to 44.63.8.25444.63.8.255126
1944.63.9.0/2544.63.9.1 to 44.63.9.12644.63.9.127126
2044.63.9.128/2544.63.9.129 to 44.63.9.25444.63.9.255126
2144.63.10.0/2544.63.10.1 to 44.63.10.12644.63.10.127126
2244.63.10.128/2544.63.10.129 to 44.63.10.25444.63.10.255126
2344.63.11.0/2544.63.11.1 to 44.63.11.12644.63.11.127126
2444.63.11.128/2544.63.11.129 to 44.63.11.25444.63.11.255126
2544.63.12.0/2544.63.12.1 to 44.63.12.12644.63.12.127126
2644.63.12.128/2544.63.12.129 to 44.63.12.25444.63.12.255126
2744.63.13.0/2544.63.13.1 to 44.63.13.12644.63.13.127126
2844.63.13.128/2544.63.13.129 to 44.63.13.25444.63.13.255126
2944.63.14.0/2544.63.14.1 to 44.63.14.12644.63.14.127126
3044.63.14.128/2544.63.14.129 to 44.63.14.25444.63.14.255126
3144.63.15.0/2544.63.15.1 to 44.63.15.12644.63.15.127126
3244.63.15.128/2544.63.15.129 to 44.63.15.25444.63.15.255126
3344.63.16.0/2544.63.16.1 to 44.63.16.12644.63.16.127126
3444.63.16.128/2544.63.16.129 to 44.63.16.25444.63.16.255126
3544.63.17.0/2544.63.17.1 to 44.63.17.12644.63.17.127126
3644.63.17.128/2544.63.17.129 to 44.63.17.25444.63.17.255126
3744.63.18.0/2544.63.18.1 to 44.63.18.12644.63.18.127126
3844.63.18.128/2544.63.18.129 to 44.63.18.25444.63.18.255126
3944.63.19.0/2544.63.19.1 to 44.63.19.12644.63.19.127126
4044.63.19.128/2544.63.19.129 to 44.63.19.25444.63.19.255126
4144.63.20.0/2544.63.20.1 to 44.63.20.12644.63.20.127126
4244.63.20.128/2544.63.20.129 to 44.63.20.25444.63.20.255126
4344.63.21.0/2544.63.21.1 to 44.63.21.12644.63.21.127126
4444.63.21.128/2544.63.21.129 to 44.63.21.25444.63.21.255126
4544.63.22.0/2544.63.22.1 to 44.63.22.12644.63.22.127126
4644.63.22.128/2544.63.22.129 to 44.63.22.25444.63.22.255126
4744.63.23.0/2544.63.23.1 to 44.63.23.12644.63.23.127126
4844.63.23.128/2544.63.23.129 to 44.63.23.25444.63.23.255126
4944.63.24.0/2544.63.24.1 to 44.63.24.12644.63.24.127126
5044.63.24.128/2544.63.24.129 to 44.63.24.25444.63.24.255126
5144.63.25.0/2544.63.25.1 to 44.63.25.12644.63.25.127126
5244.63.25.128/2544.63.25.129 to 44.63.25.25444.63.25.255126
5344.63.26.0/2544.63.26.1 to 44.63.26.12644.63.26.127126
5444.63.26.128/2544.63.26.129 to 44.63.26.25444.63.26.255126
5544.63.27.0/2544.63.27.1 to 44.63.27.12644.63.27.127126
5644.63.27.128/2544.63.27.129 to 44.63.27.25444.63.27.255126
5744.63.28.0/2544.63.28.1 to 44.63.28.12644.63.28.127126
5844.63.28.128/2544.63.28.129 to 44.63.28.25444.63.28.255126
5944.63.29.0/2544.63.29.1 to 44.63.29.12644.63.29.127126
6044.63.29.128/2544.63.29.129 to 44.63.29.25444.63.29.255126
6144.63.30.0/2544.63.30.1 to 44.63.30.12644.63.30.127126
6244.63.30.128/2544.63.30.129 to 44.63.30.25444.63.30.255126
6344.63.31.0/2544.63.31.1 to 44.63.31.12644.63.31.127126
6444.63.31.128/2544.63.31.129 to 44.63.31.25444.63.31.255126
6544.63.32.0/2544.63.32.1 to 44.63.32.12644.63.32.127126
6644.63.32.128/2544.63.32.129 to 44.63.32.25444.63.32.255126
6744.63.33.0/2544.63.33.1 to 44.63.33.12644.63.33.127126
6844.63.33.128/2544.63.33.129 to 44.63.33.25444.63.33.255126
6944.63.34.0/2544.63.34.1 to 44.63.34.12644.63.34.127126
7044.63.34.128/2544.63.34.129 to 44.63.34.25444.63.34.255126
7144.63.35.0/2544.63.35.1 to 44.63.35.12644.63.35.127126
7244.63.35.128/2544.63.35.129 to 44.63.35.25444.63.35.255126
7344.63.36.0/2544.63.36.1 to 44.63.36.12644.63.36.127126
7444.63.36.128/2544.63.36.129 to 44.63.36.25444.63.36.255126
7544.63.37.0/2544.63.37.1 to 44.63.37.12644.63.37.127126
7644.63.37.128/2544.63.37.129 to 44.63.37.25444.63.37.255126
7744.63.38.0/2544.63.38.1 to 44.63.38.12644.63.38.127126
7844.63.38.128/2544.63.38.129 to 44.63.38.25444.63.38.255126
7944.63.39.0/2544.63.39.1 to 44.63.39.12644.63.39.127126
8044.63.39.128/2544.63.39.129 to 44.63.39.25444.63.39.255126
8144.63.40.0/2544.63.40.1 to 44.63.40.12644.63.40.127126
8244.63.40.128/2544.63.40.129 to 44.63.40.25444.63.40.255126
8344.63.41.0/2544.63.41.1 to 44.63.41.12644.63.41.127126
8444.63.41.128/2544.63.41.129 to 44.63.41.25444.63.41.255126
8544.63.42.0/2544.63.42.1 to 44.63.42.12644.63.42.127126
8644.63.42.128/2544.63.42.129 to 44.63.42.25444.63.42.255126
8744.63.43.0/2544.63.43.1 to 44.63.43.12644.63.43.127126
8844.63.43.128/2544.63.43.129 to 44.63.43.25444.63.43.255126
8944.63.44.0/2544.63.44.1 to 44.63.44.12644.63.44.127126
9044.63.44.128/2544.63.44.129 to 44.63.44.25444.63.44.255126
9144.63.45.0/2544.63.45.1 to 44.63.45.12644.63.45.127126
9244.63.45.128/2544.63.45.129 to 44.63.45.25444.63.45.255126
9344.63.46.0/2544.63.46.1 to 44.63.46.12644.63.46.127126
9444.63.46.128/2544.63.46.129 to 44.63.46.25444.63.46.255126
9544.63.47.0/2544.63.47.1 to 44.63.47.12644.63.47.127126
9644.63.47.128/2544.63.47.129 to 44.63.47.25444.63.47.255126
9744.63.48.0/2544.63.48.1 to 44.63.48.12644.63.48.127126
9844.63.48.128/2544.63.48.129 to 44.63.48.25444.63.48.255126
9944.63.49.0/2544.63.49.1 to 44.63.49.12644.63.49.127126
10044.63.49.128/2544.63.49.129 to 44.63.49.25444.63.49.255126
10144.63.50.0/2544.63.50.1 to 44.63.50.12644.63.50.127126
10244.63.50.128/2544.63.50.129 to 44.63.50.25444.63.50.255126
10344.63.51.0/2544.63.51.1 to 44.63.51.12644.63.51.127126
10444.63.51.128/2544.63.51.129 to 44.63.51.25444.63.51.255126
10544.63.52.0/2544.63.52.1 to 44.63.52.12644.63.52.127126
10644.63.52.128/2544.63.52.129 to 44.63.52.25444.63.52.255126
10744.63.53.0/2544.63.53.1 to 44.63.53.12644.63.53.127126
10844.63.53.128/2544.63.53.129 to 44.63.53.25444.63.53.255126
10944.63.54.0/2544.63.54.1 to 44.63.54.12644.63.54.127126
11044.63.54.128/2544.63.54.129 to 44.63.54.25444.63.54.255126
11144.63.55.0/2544.63.55.1 to 44.63.55.12644.63.55.127126
11244.63.55.128/2544.63.55.129 to 44.63.55.25444.63.55.255126
11344.63.56.0/2544.63.56.1 to 44.63.56.12644.63.56.127126
11444.63.56.128/2544.63.56.129 to 44.63.56.25444.63.56.255126
11544.63.57.0/2544.63.57.1 to 44.63.57.12644.63.57.127126
11644.63.57.128/2544.63.57.129 to 44.63.57.25444.63.57.255126
11744.63.58.0/2544.63.58.1 to 44.63.58.12644.63.58.127126
11844.63.58.128/2544.63.58.129 to 44.63.58.25444.63.58.255126
11944.63.59.0/2544.63.59.1 to 44.63.59.12644.63.59.127126
12044.63.59.128/2544.63.59.129 to 44.63.59.25444.63.59.255126
12144.63.60.0/2544.63.60.1 to 44.63.60.12644.63.60.127126
12244.63.60.128/2544.63.60.129 to 44.63.60.25444.63.60.255126
12344.63.61.0/2544.63.61.1 to 44.63.61.12644.63.61.127126
12444.63.61.128/2544.63.61.129 to 44.63.61.25444.63.61.255126
12544.63.62.0/2544.63.62.1 to 44.63.62.12644.63.62.127126
12644.63.62.128/2544.63.62.129 to 44.63.62.25444.63.62.255126
12744.63.63.0/2544.63.63.1 to 44.63.63.12644.63.63.127126
12844.63.63.128/2544.63.63.129 to 44.63.63.25444.63.63.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses